﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace AppBayFinal2019
{
    public class Page1 : MasterDetailPage
    {
        public PageBay pb;
        PageColChanger pcc;
        PageGesture pg;
        PageLO plo;
        PageTab2 pt2;
        PageTab3 pt3;
        PageTab4 pt4;
        PageTab5 pt5;
        PageTab6 pt6;
        PageTab9 pt9;
        PageGestureSimple pgs;
        PageTrans ptr;
        public Page1()
        {
            pb = new PageBay();         // PageBayReuter.cs
            pt6 = new PageTab6(this);   //PageFetchData.cs
            pg = new PageGesture();     //PageDemoGestureslocalImage.cs
            pt2 = new PageTab2();       //PageImageLayoutAspectScrollVert.cs
            pt3 = new PageTab3();       //PageImageLayoutAspectohneScroll.cs
            pt4 = new PageTab4();       //PageAlertBox.cs
            pt5 = new PageTab5();       //PageImageLayoutAspectScrollboth.cs
            pt9 = new PageTab9();       //PagePicTap.cs
            ptr = new PageTrans();      //PageTransRotScaleAnchor.cs
            pcc = new PageColChanger();   // PageColChanger
            pgs = new PageGestureSimple();   //PageGestureSimple
            plo = new PageLO();           //PageLayoutOptions.cs


            Label header = new Label
            {
                Text = "MasterDetailPage",
                FontSize = 30,
                FontAttributes = FontAttributes.Bold,
                HorizontalOptions = LayoutOptions.Center
            };

            string[] pages =
            {
                "Reuter","Fetch Data","Gesture Demo","vert scroll", "ohne scroll","Alert","both scroll","Pic Tap",
                "Trans etc", "Color Changer", "Simple Gesture", "Layout options"          };
            // Create ListView for the master page.
            ListView listView = new ListView
            {
                ItemsSource = pages
            };
            listView.ItemSelected += ListView_ItemSelected;

            this.Master = new ContentPage
            {
                Title = "Page List",       // Title required!
                Content = new StackLayout
                {
                    Children = {
                        header,
                        listView
                    }
                }
            };
            this.Detail = pt2; // Startseite
            this.IsPresented = true;
        }

        private void ListView_ItemSelected(object sender, SelectedItemChangedEventArgs e)
        {
            switch (e.SelectedItemIndex)
            {
                case 0: this.Detail = pb; break;
                case 1: this.Detail = pt6; break;
                case 2: this.Detail = pg; break;
                case 3: this.Detail = pt2; break;
                case 4: this.Detail = pt3; break;
                case 5: this.Detail = pt4; break;
                case 6: this.Detail = pt5; break;
                case 7: this.Detail = pt9; break;
                case 8: this.Detail = ptr; break;
                case 9: this.Detail = pcc; break;
                case 10: this.Detail = pgs; break;
                case 11: this.Detail = plo; break;
            }
            this.IsPresented = false;

        }
    }
}