﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace AppBayFinal2019
{
    public class PageTab4 : ContentPage
    {
        public PageTab4()
        {
            this.Title="Tab4";
            Button but = new Button
            {
                Text = "Klick macht ne AlertBox",
                VerticalOptions = LayoutOptions.Start,
                WidthRequest = Device.RuntimePlatform == Device.UWP ? 250 : 200
            };
            but.Clicked += But_Clicked;
            switch (Device.RuntimePlatform)
            {
                case Device.UWP:  but.Text += " UWP";break;
                case Device.iOS: but.Text += " iOS";break;
                case Device.Android: but.Text += " Android";break;
            };

            Content = new StackLayout
            {
                Children =
                {
                    new Label { Text = "Dies ist Seite Tab4",
                    VerticalOptions=LayoutOptions.Start
                    },
                    but
                }
            };
        }

        private async void  But_Clicked(object sender, EventArgs e)
        {
            bool alert = await DisplayAlert("Alert", "Are you sure to change the background color of page?", "Yes", "No");
            if (alert)
            {
                this.BackgroundColor = Color.Blue;
            }
            else
                this.BackgroundColor = Color.Red;
        }
    }
}