﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace AppBayFinal2019
{

    public class PageLO : ContentPage
    {
        Label lab;
        Label lab2;
        Label lab3;
        Picker picVO;
        Picker picHO;

         public PageLO()
        {
            
            this.Title = "Layout Options";
            lab = new Label
            {
                Text = "Demo der Layout Options",
                TextColor = Color.Yellow,
                BackgroundColor = Color.Black

            };

            lab2 = new Label
            {
                Text="label2",
                TextColor = Color.Yellow,
                BackgroundColor = Color.Black

            };
            lab3 = new Label
            {
                Text = "Klick, dann zurück zum Master",
                TextColor = Color.Yellow,
                BackgroundColor = Color.Black
            };
            

            picVO = new Picker
            {
                //VerticalOptions = LayoutOptions.Start,
                //HorizontalOptions = LayoutOptions.Fill
            };
            picVO.Items.Add("Vert Fill");
            picVO.Items.Add("Vert Start");
            picVO.Items.Add("Vert End");
            picVO.Items.Add("Vert Center");
            picVO.Items.Add("Vert Fill+Exp");
            picVO.Items.Add("Vert Start+Exp");
            picVO.Items.Add("Vert End+Exp");
            picVO.Items.Add("Vert Cent+Exp");
            picVO.SelectedIndexChanged += PicVO_SelectedIndexChanged;
           

            picHO = new Picker
            {
                //VerticalOptions = LayoutOptions.Start,
                //HorizontalOptions=LayoutOptions.Fill
            };

            picHO.Items.Add("Hor Fill");
            picHO.Items.Add("Hor Start");
            picHO.Items.Add("Hor End");
            picHO.Items.Add("Hor Center");
            picHO.Items.Add("Hor Fill+Exp");
            picHO.Items.Add("Hor Start+Exp");
            picHO.Items.Add("Hor End+Exp");
            picHO.Items.Add("Hor Cent+Exp");
           
            picHO.SelectedIndexChanged += PicHO_SelectedIndexChanged;


 
            TapGestureRecognizer tap = new TapGestureRecognizer();
            tap.Tapped += Tap_Tapped;
            lab2.GestureRecognizers.Add(tap);

            




            StackLayout stloPic = new StackLayout
            {
                Orientation = StackOrientation.Horizontal,
                HorizontalOptions = LayoutOptions.Center,
                VerticalOptions = LayoutOptions.Start,
                Children = { picHO, picVO }
            };
            StackLayout SL_label = new StackLayout
            {
                Orientation = StackOrientation.Vertical,
                VerticalOptions = LayoutOptions.Start,
                Children = { lab,lab2,lab3}
            };

            picHO.SelectedIndex = 0;
            picVO.SelectedIndex = 0;

            Content = new StackLayout
            {

                Children =
                {
                 picHO, picVO,
                 lab,lab2,lab3
                }
            };
        }

        private void Tap_Tapped(object sender, EventArgs e)
        {
            lab.Text="Tapped";
            
        }

        private void PicHO_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (picHO.SelectedIndex)
            {
                case 0: lab.HorizontalOptions = LayoutOptions.Fill; break;
                case 1: lab.HorizontalOptions = LayoutOptions.Start; break;
                case 2: lab.HorizontalOptions = LayoutOptions.End; break;
                case 3: lab.HorizontalOptions = LayoutOptions.Center; break;
                case 4: lab.HorizontalOptions = LayoutOptions.FillAndExpand; break;
                case 5: lab.HorizontalOptions = LayoutOptions.StartAndExpand; break;
                case 6: lab.HorizontalOptions = LayoutOptions.EndAndExpand; break;
                case 7: lab.HorizontalOptions = LayoutOptions.CenterAndExpand; break;

            }
            lab2.HorizontalOptions = lab.HorizontalOptions;
            //lab3.HorizontalOptions = lab.HorizontalOptions;
            lab2.Text = picHO.Items[picHO.SelectedIndex];
            // picHO.HorizontalOptions = lab.HorizontalOptions;
            picVO.HorizontalOptions = lab.HorizontalOptions;
        }

        private void PicVO_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (picVO.SelectedIndex)
            {
                case 0: lab.VerticalOptions = LayoutOptions.Fill; break;
                case 1: lab.VerticalOptions = LayoutOptions.Start; break;
                case 2: lab.VerticalOptions = LayoutOptions.End; break;
                case 3: lab.VerticalOptions = LayoutOptions.Center; break;
                case 4: lab.VerticalOptions = LayoutOptions.FillAndExpand; break;
                case 5: lab.VerticalOptions = LayoutOptions.StartAndExpand; break;
                case 6: lab.VerticalOptions = LayoutOptions.EndAndExpand; break;
                case 7: lab.VerticalOptions = LayoutOptions.CenterAndExpand; break;
            }
            lab2.VerticalOptions = lab.VerticalOptions;
            lab3.VerticalOptions = lab.VerticalOptions;
            //lab3.Text = picVO.Items[picVO.SelectedIndex];
            //picHO.VerticalOptions = lab.VerticalOptions;
            picVO.VerticalOptions = lab.VerticalOptions;

        }
    }
}