﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace AppBayFinal2019
{

    public class PageTab9 : ContentPage
    {
        Label lab;
        Image image;
        Picker pic1;
        Picker picVO;
        Picker picHO;
        Binding sltoimage;
        Slider sl;
        public PageTab9()
        {
            this.Title = "PicTap";
            lab = new Label
            {
                Text = "Dies ist Seite Demo Pic Tap",
                VerticalOptions = LayoutOptions.Start
            };


             sl = new Slider
            {
                Maximum = 1000,
                HorizontalOptions = LayoutOptions.Fill,
                VerticalOptions = LayoutOptions.Start,
                Value=50
            };
             sltoimage = new Binding
            {
                Source = sl,
                Path = "Value"
            };
            
            Binding sltoLab = new Binding
            {
                Source = sl,
                Path = "Value"
            };
            lab.SetBinding(Label.TextProperty, sltoLab);
            //sl.ValueChanged += Sl_ValueChanged;
            Slider sl2 = new Slider
            {
                Maximum = 1000,
                HorizontalOptions = LayoutOptions.Fill,
                VerticalOptions = LayoutOptions.Start
            };
            sl2.ValueChanged += Sl2_ValueChanged;

            pic1 = new Picker
            {
                VerticalOptions = LayoutOptions.Start,
            };
            pic1.Items.Add("AspektFit");
            pic1.Items.Add("AspektFill");
            pic1.Items.Add("Fill");
            
            pic1.SelectedIndexChanged += Pic1_SelectedIndexChanged;

            picVO = new Picker
            {
                VerticalOptions = LayoutOptions.Start,
            };
            picVO.Items.Add("Vert Fill");
            picVO.Items.Add("Vert Start");
            picVO.Items.Add("Vert End");
            picVO.Items.Add("Vert Center");
            picVO.Items.Add("Vert Fill+Exp");
            picVO.Items.Add("Vert Start+Exp");
            picVO.Items.Add("Vert End+Exp");
            picVO.Items.Add("Vert Cent+Exp");
            picVO.SelectedIndexChanged += PicVO_SelectedIndexChanged;
           

            picHO = new Picker
            {
                VerticalOptions = LayoutOptions.Start,
            };

            picHO.Items.Add("Hor Fill");
            picHO.Items.Add("Hor Start");
            picHO.Items.Add("Hor End");
            picHO.Items.Add("Hor Center");
            picHO.Items.Add("Hor Fill+Exp");
            picHO.Items.Add("Hor Start+Exp");
            picHO.Items.Add("Hor End+Exp");
            picHO.Items.Add("Hor Cent+Exp");
           
            picHO.SelectedIndexChanged += PicHO_SelectedIndexChanged;


            image = new Image
            {
                //Source = ImageSource.FromUri(new Uri("http://www.joergbayerlein.de/wp-content/uploads/2015/06/regcSharp.jpg")),
                Source=ImageSource.FromResource("AppBayFinal2019.regcSharp.jpg"),
                //VerticalOptions = LayoutOptions.Fill,
                //Aspect = Aspect.AspectFit,
                //HorizontalOptions = LayoutOptions.Fill,
                BackgroundColor = Color.Gray,
            };

            TapGestureRecognizer tap = new TapGestureRecognizer();
            tap.Tapped += Tap_Tapped;
            image.GestureRecognizers.Add(tap);
            lab.GestureRecognizers.Add(tap);

            image.SizeChanged += Image_SizeChanged;
            image.SetBinding(Image.WidthRequestProperty, sltoimage);

            StackLayout stloPic = new StackLayout
            {
                Orientation = StackOrientation.Horizontal,
                Children = { pic1, picHO, picVO }

            };
            pic1.SelectedIndex = 0;
            picHO.SelectedIndex = 0;
            picVO.SelectedIndex = 0;

            Content = new StackLayout
            {

                Children =
                {
                    lab,sl,sl2,
                    stloPic,
                    image
                    
                }
            };
        }

        private void Tap_Tapped(object sender, EventArgs e)
        {
            image.WidthRequest = image.Width + 50;
            image.HeightRequest = image.Height + 50;
        }

        private void PicHO_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (picHO.SelectedIndex)
            {
                case 0: image.HorizontalOptions = LayoutOptions.Fill; break;
                case 1: image.HorizontalOptions = LayoutOptions.Start; break;
                case 2: image.HorizontalOptions = LayoutOptions.End; break;
                case 3: image.HorizontalOptions = LayoutOptions.Center; break;
                case 4: image.HorizontalOptions = LayoutOptions.FillAndExpand; break;
                case 5: image.HorizontalOptions = LayoutOptions.StartAndExpand; break;
                case 6: image.HorizontalOptions = LayoutOptions.EndAndExpand; break;
                case 7: image.HorizontalOptions = LayoutOptions.CenterAndExpand; break;

            }
        }

        private void PicVO_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (picVO.SelectedIndex)
            {
                case 0: image.VerticalOptions = LayoutOptions.Fill; break;
                case 1: image.VerticalOptions = LayoutOptions.Start; break;
                case 2: image.VerticalOptions = LayoutOptions.End; break;
                case 3: image.VerticalOptions = LayoutOptions.Center; break;
                case 4: image.VerticalOptions = LayoutOptions.FillAndExpand; break;
                case 5: image.VerticalOptions = LayoutOptions.StartAndExpand; break;
                case 6: image.VerticalOptions = LayoutOptions.EndAndExpand; break;
                case 7: image.VerticalOptions = LayoutOptions.CenterAndExpand; break;
            }
        }

        private void Pic1_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (pic1.SelectedIndex)
            {
                case 0: image.Aspect = Aspect.AspectFit; break;
                case 1: image.Aspect = Aspect.AspectFill; break;
                case 2: image.Aspect = Aspect.Fill; break;
            }
        }

        private void Image_SizeChanged(object sender, EventArgs e)
        {
            lab.Text = "Width= " + image.Width + "Height= " + image.Height;
        }

        private void Sl2_ValueChanged(object sender, ValueChangedEventArgs e)
        {
            image.HeightRequest = e.NewValue;
            lab.Text = "Height= " + image.Height;
        }

        private void Sl_ValueChanged(object sender, ValueChangedEventArgs e)
        {
            image.WidthRequest = e.NewValue;
            lab.Text = "Width= " + image.Width;

        }
    }
}