﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace AppBayFinal2019
{
    public class PageTrans : ContentPage
    {
        Label lab;
        Label lab2;
        Image image;
        Picker pic1;
        Picker picVO;
        Picker picHO;
        Slider sl;

        public PageTrans()
        {
            this.Title = "Tab5 mit Scroll both";
            lab = new Label
            {
                Text = "Tranx TranY Scale Rot Rotx Roty Anchx Anchy",
                VerticalOptions = LayoutOptions.Start,
                FontSize = 10
            };
            lab2 = new Label
            {
                Text = "",
                VerticalOptions = LayoutOptions.Start,
                FontSize = 10
            };


            sl = new Slider
            {
                Maximum = 1000,
                HorizontalOptions = LayoutOptions.Fill,
                VerticalOptions = LayoutOptions.Start
            };
            sl.ValueChanged += Sl_ValueChanged;
            

            pic1 = new Picker
            {
                VerticalOptions = LayoutOptions.Start,
                
            };
            pic1.Items.Add("TranslationX");
            pic1.Items.Add("TranslationY");
            pic1.Items.Add("Scale");
            pic1.Items.Add("Rotation");
            pic1.Items.Add("RotationX");
            pic1.Items.Add("RotationY");
            pic1.Items.Add("AnchorX");
            pic1.Items.Add("AnchorY");

            pic1.SelectedIndexChanged += Pic1_SelectedIndexChanged;

            




            image = new Image
            {
                Source = ImageSource.FromResource("AppBayFinal2019.regcSharp.jpg"),
                //Source = ImageSource.FromUri(new Uri("http://www.joergbayerlein.de/wp-content/uploads/2015/06/regcSharp.jpg")),
                //VerticalOptions = LayoutOptions.Fill,
                //Aspect = Aspect.AspectFit,
                //HorizontalOptions = LayoutOptions.Fill,
                BackgroundColor = Color.Gray,
                
            };
            image.SizeChanged += Image_SizeChanged;

            StackLayout stloPic = new StackLayout
            {
                Orientation = StackOrientation.Horizontal,
                Children={ pic1}
            
            };
            
            pic1.SelectedIndex = 0;
            Content = new StackLayout
            {

                Children =
                {
                    lab,lab2,sl,
                    stloPic,
                    new ScrollView
                    {
                        Orientation=ScrollOrientation.Both,
                        Content = image
                    }
                }
            };
        }




        private void Pic1_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (pic1.SelectedIndex)
            {
                case 0: sl.Minimum = -1000; sl.Maximum = 1000; sl.Value = image.TranslationX; break;
                case 1: sl.Minimum = -1000; sl.Maximum = 1000; sl.Value = image.TranslationY; break;
                case 2: sl.Minimum = 0; sl.Maximum = 200; sl.Value = image.Scale * 100; break;
                case 3: sl.Minimum = 0; sl.Maximum = 360; sl.Value = image.Rotation; break;
                case 4: sl.Minimum = 0; sl.Maximum = 360; sl.Value = image.RotationX; break;
                case 5: sl.Minimum = 0; sl.Maximum = 360; sl.Value = image.RotationY; break;
                case 6: sl.Minimum = -100; sl.Maximum = 100; sl.Value = image.AnchorX * 100; break;
                case 7: sl.Minimum = -100; sl.Maximum = 100; sl.Value = image.AnchorY * 100; break;
            }
        }

            private void Image_SizeChanged(object sender, EventArgs e)
        {
            lab2.Text = "Width= " + image.Width + "  Height= " + image.Height;
        }

      

        private void Sl_ValueChanged(object sender, ValueChangedEventArgs e)
        {
            
            switch (pic1.SelectedIndex)
            {
                case 0: image.TranslationX = e.NewValue; break;
                case 1: image.TranslationY = e.NewValue; break;
                case 2: image.Scale = e.NewValue / 100.0; break;
                case 3: image.Rotation = e.NewValue; break;
                case 4: image.RotationX = e.NewValue; break;
                case 5: image.RotationY = e.NewValue; break;
                case 6: image.AnchorX = e.NewValue/100.0; break;
                case 7: image.AnchorY = e.NewValue / 100.0; break;
            }
            lab2.Text = image.TranslationX + " " + image.TranslationY +  " "+
                image.Scale.ToString("f2")+ " "+ image.Rotation+ " " +image.RotationX+" " + image.RotationY +
                " " + image.AnchorX.ToString("f2") + " "+image.AnchorY.ToString("f2");

        }
    }
}