﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace AppBayFinal2019
{
    public class PageTab6 : ContentPage
    {
        Page1 MeinMain;
        Label lab;
        Image butback;
        public PageTab6(Page1 m)
        {
            MeinMain = m;

            butback = new Image
            {
                WidthRequest = 30,
                HorizontalOptions = LayoutOptions.Start,
                BackgroundColor = MeinMain.ColorBack,
                Source = ImageSource.FromResource(MeinMain.BackIcon)
            };

            TapGestureRecognizer tap = new TapGestureRecognizer();
            tap.Tapped += Tap_Tapped;
            butback.GestureRecognizers.Add(tap);

            Label LabTitle = new Label
            {
                Text = "Demo of Interpage Communication",
                FontSize = 20.0,
                HorizontalOptions = LayoutOptions.End,
                BackgroundColor = MeinMain.ColorBack,
                TextColor = MeinMain.ColorText
            };
            StackLayout top = new StackLayout
            {
                Orientation = StackOrientation.Horizontal,
                Children =
                {
                   butback,LabTitle
                },
                HorizontalOptions = LayoutOptions.FillAndExpand,
                BackgroundColor = MeinMain.ColorBack,
                Padding = new Thickness(10, 0, 0, 0)
            };


            Button but = new Button
            {
                Text = "Fetch result T1 of Reuter- Page"
            };
            but.Clicked += But_Clicked;
            lab = new Label
            {
                Text = "Here will appear the content of a textfield of Reuter page after Button Click"
            };
            Content = new StackLayout
            {
                Children = { top,but,lab,}
               
            };
            if (Device.RuntimePlatform == Device.UWP)
                this.butback.IsVisible = false;
            else if (Device.RuntimePlatform == Device.iOS)
                this.butback.Source = ImageSource.FromResource(MeinMain.BackIconiOS);
        }

        private void Tap_Tapped(object sender, EventArgs e)
        {
            MeinMain.IsPresented = true;
        }

        private void But_Clicked(object sender, EventArgs e)
        {
            lab.Text = MeinMain.pt6.labOutT1.Text;
        }
    }
}