﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace AppBayFinal2019
{

    public class PageLO : ContentPage
    {
        Page1 MeinMain;
        Image butback;
        Label lab;
        Label lab2;
        Label lab3;
        Picker picVO;
        Picker picHO;
        
         public PageLO(Page1 m)
        {
            MeinMain = m;
            //this.Title = "Layout Options";

            butback = new Image
            {
                WidthRequest = 30,
                HorizontalOptions = LayoutOptions.Start,
                BackgroundColor = MeinMain.ColorBack,
                Source = ImageSource.FromResource(MeinMain.BackIcon)
            };

            TapGestureRecognizer tap1 = new TapGestureRecognizer();
            tap1.Tapped += Tap1_Tapped;
            butback.GestureRecognizers.Add(tap1);

            Label LabTitle = new Label
            {
                Text = "Demo of Layout Options",
                FontSize = 20.0,
                HorizontalOptions = LayoutOptions.End,
                BackgroundColor = MeinMain.ColorBack,
                TextColor = MeinMain.ColorText
            };
            StackLayout top = new StackLayout
            {
                Orientation = StackOrientation.Horizontal,
                Children =
                {
                   butback,LabTitle
                },
                HorizontalOptions = LayoutOptions.FillAndExpand,
                BackgroundColor = MeinMain.ColorBack,
                Padding = new Thickness(10, 0, 0, 0)
            };

            lab = new Label
            {
                Text = "Demo der Layout Options",
                TextColor = Color.Yellow,
                BackgroundColor = Color.Black

            };

            lab2 = new Label
            {
                Text="label2",
                TextColor = Color.Yellow,
                BackgroundColor = Color.Black

            };
            lab3 = new Label
            {
                Text = "With click back to Master Page",
                TextColor = Color.Yellow,
                BackgroundColor = Color.Black
            };
            

            picVO = new Picker
            {
                //VerticalOptions = LayoutOptions.Start,
                //HorizontalOptions = LayoutOptions.Fill
            };
            picVO.Items.Add("Vert Fill");
            picVO.Items.Add("Vert Start");
            picVO.Items.Add("Vert End");
            picVO.Items.Add("Vert Center");
            picVO.Items.Add("Vert Fill+Exp");
            picVO.Items.Add("Vert Start+Exp");
            picVO.Items.Add("Vert End+Exp");
            picVO.Items.Add("Vert Cent+Exp");
            picVO.SelectedIndexChanged += PicVO_SelectedIndexChanged;
           

            picHO = new Picker
            {
                //VerticalOptions = LayoutOptions.Start,
                //HorizontalOptions=LayoutOptions.Fill
            };

            picHO.Items.Add("Hor Fill");
            picHO.Items.Add("Hor Start");
            picHO.Items.Add("Hor End");
            picHO.Items.Add("Hor Center");
            picHO.Items.Add("Hor Fill+Exp");
            picHO.Items.Add("Hor Start+Exp");
            picHO.Items.Add("Hor End+Exp");
            picHO.Items.Add("Hor Cent+Exp");
           
            picHO.SelectedIndexChanged += PicHO_SelectedIndexChanged;


 
            TapGestureRecognizer tap = new TapGestureRecognizer();
            tap.Tapped += Tap_Tapped;
            lab2.GestureRecognizers.Add(tap);

            TapGestureRecognizer tapBack = new TapGestureRecognizer();
            tapBack.Tapped += (object sender,EventArgs e) =>
            {
                MeinMain.IsPresented = true;
            };

            lab3.GestureRecognizers.Add(tapBack);



            StackLayout stloPic = new StackLayout
            {
                Orientation = StackOrientation.Horizontal,
                HorizontalOptions = LayoutOptions.Center,
                VerticalOptions = LayoutOptions.Start,
                Children = { picHO, picVO }
            };
            StackLayout SL_label = new StackLayout
            {
                Orientation = StackOrientation.Vertical,
                VerticalOptions = LayoutOptions.Start,
                Children = { lab,lab2,lab3}
            };

            picHO.SelectedIndex = 0;
            picVO.SelectedIndex = 0;

            Content = new StackLayout
            {

                Children =
                {
                 top,picHO, picVO,
                 lab,lab2,lab3
                }
            };
            if (Device.RuntimePlatform == Device.UWP)
                this.butback.IsVisible = false;
            else if (Device.RuntimePlatform == Device.iOS)
                this.butback.Source = ImageSource.FromResource(MeinMain.BackIconiOS);
        }

        private void Tap1_Tapped(object sender, EventArgs e)
        {
            MeinMain.IsPresented = true;
        }

        private void Tap_Tapped(object sender, EventArgs e)
        {
            lab.Text="Tapped";
            
        }

        private void PicHO_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (picHO.SelectedIndex)
            {
                case 0: lab.HorizontalOptions = LayoutOptions.Fill; break;
                case 1: lab.HorizontalOptions = LayoutOptions.Start; break;
                case 2: lab.HorizontalOptions = LayoutOptions.End; break;
                case 3: lab.HorizontalOptions = LayoutOptions.Center; break;
                case 4: lab.HorizontalOptions = LayoutOptions.FillAndExpand; break;
                case 5: lab.HorizontalOptions = LayoutOptions.StartAndExpand; break;
                case 6: lab.HorizontalOptions = LayoutOptions.EndAndExpand; break;
                case 7: lab.HorizontalOptions = LayoutOptions.CenterAndExpand; break;

            }
            lab2.HorizontalOptions = lab.HorizontalOptions;
            lab3.HorizontalOptions = lab.HorizontalOptions;
            lab2.Text = picHO.Items[picHO.SelectedIndex];
            // picHO.HorizontalOptions = lab.HorizontalOptions;
            picVO.HorizontalOptions = lab.HorizontalOptions;
        }

        private void PicVO_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (picVO.SelectedIndex)
            {
                case 0: lab.VerticalOptions = LayoutOptions.Fill; break;
                case 1: lab.VerticalOptions = LayoutOptions.Start; break;
                case 2: lab.VerticalOptions = LayoutOptions.End; break;
                case 3: lab.VerticalOptions = LayoutOptions.Center; break;
                case 4: lab.VerticalOptions = LayoutOptions.FillAndExpand; break;
                case 5: lab.VerticalOptions = LayoutOptions.StartAndExpand; break;
                case 6: lab.VerticalOptions = LayoutOptions.EndAndExpand; break;
                case 7: lab.VerticalOptions = LayoutOptions.CenterAndExpand; break;
            }
            lab2.VerticalOptions = lab.VerticalOptions;
            lab3.VerticalOptions = lab.VerticalOptions;
            //lab3.Text = picVO.Items[picVO.SelectedIndex];
            //picHO.VerticalOptions = lab.VerticalOptions;
            picVO.VerticalOptions = lab.VerticalOptions;

        }
    }
}